// Authentication
export const UPDATE_AUTH = 'UPDATE_AUTH';
export const RESET_AUTH = 'RESET_AUTH';
export const OPEN_AUTHENTICATION_DIALOG = 'OPEN_AUTHENTICATION_DIALOG';
export const TOGGLE_AUTHENTICATION_DIALOG = 'TOGGLE_AUTHENTICATION_DIALOG';
export const CLOSE_AUTHENTICATION_DIALOG = 'CLOSE_AUTHENTICATION_DIALOG';
export const SAVE_REDIRECT_LOCATION = 'SAVE_REDIRECT_LOCATION';
export const UPDATE_USER_SETTINGS = 'UPDATE_USER_SETTINGS';
export const ADD_NEW_RESOURCE = 'ADD_NEW_RESOURCE';
export const DELETE_RESOURCE = 'DELETE_RESOURCE';
export const EDIT_RESOURCE = 'EDIT_RESOURCE';
export const ADD_NEW_RELATION = 'ADD_NEW_RELATION';
export const DELETE_RELATION = 'DELETE_RELATION';
export const EDIT_RELATION = 'EDIT_RELATION';
export const EDIT_METAINFO = 'EDIT_METAINFO';

// resource relation model

export const INITIALIZE_RESOURCE_RELATION_MODEL = 'INITIALIZE_RESOURCE_RELATION_MODEL';

// GLOBAL UI STUFF
export const EXPAND_ALL_RESOURCE_BODIES = 'EXPAND_ALL_RESOURCE_BODIES';
export const EXPAND_ALL_RELATION_BODIES = 'EXPAND_ALL_RESOURCE_BODIES';
export const PRESERVE_FILTER_SEARCH = 'PRESERVE_FILTER_SEARCH';
export const CHANGE_VISUALIZATION_SELECTION_TAB = 'CHANGE_VISUALIZATION_SELECTION_TAB';

// Visual Notation selector
export const SELECT_VISUAL_NOTATION = 'SELECT_VISUAL_NOTATION';

export const ADD_PROJECT = 'ADD_PROJECT';
export const DELETE_PROJECT = 'DELETE_PROJECT';
export const ADD_ONTOLOGY = 'ADD_ONTOLOGY';
export const DELETE_ONTOLOGY = 'DELETE_ONTOLOGY';
export const ALREADY_LOADED_ONTOLOGY = 'ALREADY_LOADED_ONTOLOGY';
export const DELETE_ALREADY_LOADED_ONTOLOGY = 'DELETE_ALREADY_LOADED_ONTOLOGY';
